import request from '@/utils/request'

// 竞赛列表
export function getCompetitionList(params) {
  return request({
    url: '/front/competition/getCompetitions',
    method: 'get',
    params:params
  })
}

// 根据id获取竞赛详情
export function getDetail(params) {
  return request({
    url: '/front/competition/getCompetitionDetail',
    method: 'get',
    params:params
  })
}

// 竞赛报名
export function addCompetitor(params) {
  return request({
    url: '/front/competition/addCompetitor',
    method: 'post',
    params:params
  })
}

